# DataExchange
TKVRML
VrmlData

# VrmlData_TextureTransform Class Reference

Implementation of the TextureTransform node.

`#include <VrmlData_TextureTransform.hxx>`

Inheritance diagram for VrmlData_TextureTransform:

[legend]

## Public Member Functions

| VrmlData_TextureTransform ()
| VrmlData_TextureTransform (const VrmlData_Scene &theScene, const char *theName)
const gp_XY & | Center () const
Standard_Real | Rotation () const
const gp_XY & | Scale () const
const gp_XY & | Translation () const
void | SetCenter (const gp_XY &V)
void | SetRotation (const Standard_Real V)
void | SetScale (const gp_XY &V)
void | SetTranslation (const gp_XY &V)

## Private Attributes

gp_XY | myCenter
Standard_Real | myRotation
gp_XY | myScale
gp_XY | myTranslation

## Constructor & Destructor Documentation

VrmlData_TextureTransform::VrmlData_TextureTransform | ( |  | ) | `[inline]`

| Empty constructor

VrmlData_TextureTransform::VrmlData_TextureTransform | ( | const VrmlData_Scene & | theScene,
|  | const char * | theName
| ) | `[inline]`

| Constructor

## Member Function Documentation

const gp_XY& VrmlData_TextureTransform::Center | ( |  | ) | const`[inline]`

| Query the Center

Standard_Real VrmlData_TextureTransform::Rotation | ( |  | ) | const`[inline]`

| Query the Rotation

const gp_XY& VrmlData_TextureTransform::Scale | ( |  | ) | const`[inline]`

| Query the Scale

void VrmlData_TextureTransform::SetCenter | ( | const gp_XY & | V | ) | `[inline]`

| Set the Center

void VrmlData_TextureTransform::SetRotation | ( | const Standard_Real | V | ) | `[inline]`

| Set the Rotation

void VrmlData_TextureTransform::SetScale | ( | const gp_XY & | V | ) | `[inline]`

| Set the Scale

void VrmlData_TextureTransform::SetTranslation | ( | const gp_XY & | V | ) | `[inline]`

| Set the Translation

const gp_XY& VrmlData_TextureTransform::Translation | ( |  | ) | const`[inline]`

| Query the Translation

## Field Documentation

gp_XY VrmlData_TextureTransform::myCenter `[private]`

Standard_Real VrmlData_TextureTransform::myRotation `[private]`

gp_XY VrmlData_TextureTransform::myScale `[private]`

gp_XY VrmlData_TextureTransform::myTranslation `[private]`

The documentation for this class was generated from the following file:

- VrmlData_TextureTransform.hxx